import java.lang.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class lineproperties extends HttpServlet {

// -----------------------------------------------------
// Sample Servlet to show how to dynamically generate
// the configuration information for the Line Graph
// function
//
// Although in this sample all the values are hard coded
// in reality some values would be first calculated
// before being output.
//
// For more extensive scripts and techniques see the online
// Tutorials at:-
// http://www.jpowered.com/graph_chart_collection/tutorials/index.htm
// -----------------------------------------------------

    // declare some variables
    String BackgroundColor,linkcursor,thousandseparator,nSeries,ndecplaces;
    String grid,graphaxis,nRows,vSpace,hSpace,nPoints,gridxpos,gridypos,gridstyle,gridColor,axisColor,floorColor,gridbgimage,gridbgcolor;
    String autoscale,chartScale,chartStartY;
    String threed,outline,lineOutlineColor,depth3D;
    String graphlegend,LegendBackground,LegendBorder,LegendtextColor,legendtitle,legendposition,legendfont,LegendStyle;
    String labelOrientation,labelsY,xlabel_font,labelColor;
    String label1,label2,label3,label4,label5,label6,label7,label8,label9,label10,label11,label12;
    String ylabels,ylabel_font,ylabel_pre,ylabel_post,graphtitle,xtitle,ytitle;
    String popupbgcolor,popupfont,popup_pre,popup_post;
    String series1,series2,series3;

    public void doGet(HttpServletRequest req, HttpServletResponse res)
           throws ServletException, IOException {

        // Set the output characterics for the return data
        res.setContentType("text/html");
        ServletOutputStream out = res.getOutputStream();


        // set the values for each parameter
        BackgroundColor = "#FFFFFF";
        linkcursor = "hand";
        thousandseparator = ",";
        nSeries = "3";
        ndecplaces = "2";

        grid = "true";
        graphaxis = "true";
        nRows = "8";
        vSpace = "20";
        hSpace = "20";
        nPoints = "12";
        gridxpos = "30";
        gridypos = "270";
        gridstyle = "2";
        gridColor = "#AAAAAA";
        axisColor = "#888888";
        floorColor = "#EEEEFF";
        gridbgimage = " ";
        gridbgcolor = "#FFFF88";

        autoscale = "true";
        chartScale = "1";
        chartStartY = "0";

        threed = "false";
        outline = "false";
        lineOutlineColor = "blue";
        depth3D = "0";

        graphlegend = "true";
        LegendBackground = "#9999FF";
        LegendBorder = "#5555AA";
        LegendtextColor = "#FFFFFF";
        legendtitle = "Legend Title";
        legendposition = "-1,-1";
        legendfont = "Arial,N,12";
        LegendStyle = "Horizontal";

        labelOrientation = "Up Angle";
        labelsY = "300";
        xlabel_font = "Arial,N,12";
        labelColor = "#000000";
        label1 = "January";
        label2 = "February";
        label3 = "March";
        label4 = "April";
        label5 = "May";
        label6 = "June";
        label7 = "July";
        label8 = "August";
        label9 = "September";
        label10 = "October";
        label11 = "November";
        label12 = "December";

        ylabels = "true";
        ylabel_font = "Arial,N,12";
        ylabel_pre = "$";
        ylabel_post = " ";

        graphtitle = "Graph Title";
        xtitle = "X axis title";
        ytitle = "Y axis title";

        popupbgcolor = "#AAAAFF";
        popupfont = "Arial,N,12";
        popup_pre = "$";
        popup_post = " ";

        series1 = "#F00000|6|16|false|Series 1";
        series2 = "#F000F0|6|16|true|Series 2";
        series3 = "#00F000|0|10|false|Series 3";


        // Output the configuration parameters
        out.println("<!-- General Properties -->\n");
        out.println("BackgroundColor: " + BackgroundColor + "\n");
        out.println("linkcursor: " + linkcursor + "\n");
        out.println("thousandseparator: " + thousandseparator + "\n");
        out.println("nSeries: " + nSeries + "\n");
        out.println("ndecplaces: " + ndecplaces + "\n");

        out.println("<!-- Grid properties -->\n");
        out.println("grid: " + grid + "\n");
        out.println("axis: " + graphaxis + "\n");
        out.println("nRows: " + nRows + "\n");
        out.println("vSpace: " + vSpace + "\n");
        out.println("hSpace: " + hSpace + "\n");
        out.println("nPoints: " + nPoints + "\n");
        out.println("gridxpos: " + gridxpos + "\n");
        out.println("gridypos: " + gridypos + "\n");
        out.println("gridstyle: " + gridstyle + "\n");
        out.println("gridColor: " + gridColor + "\n");
        out.println("axisColor: " + axisColor + "\n");
        out.println("floorColor: " + floorColor + "\n");
        out.println("gridbgimage: " + gridbgimage + "\n");
        out.println("gridbgcolor: " + gridbgcolor + "\n");

        out.println("<!-- Scale properties -->\n");
        out.println("autoscale: " + autoscale + "\n");
        out.println("chartScale: " + chartScale + "\n");
        out.println("chartStartY: " + chartStartY + "\n");

        out.println("<!-- 3D properties -->\n");
        out.println("3D: " + threed + "\n");
        out.println("outline: " + outline + "\n");
        out.println("lineOutlineColor: " + lineOutlineColor + "\n");
        out.println("depth3D: " + depth3D + "\n");

        out.println("<!-- Legend properties -->\n");
        out.println("legend: " + graphlegend + "\n");
        out.println("LegendBackground: " + LegendBackground + "\n");
        out.println("LegendBorder:  " + LegendBorder + "\n");
        out.println("LegendtextColor: " + LegendtextColor + "\n");
        out.println("legendtitle:  " + legendtitle + "\n");
        out.println("legendposition:  " + legendposition + "\n");
        out.println("legendfont:  " + legendfont + "\n");
        out.println("LegendStyle: " + LegendStyle + "\n");

        out.println("<!-- X axis labels -->\n");
        out.println("labelOrientation: " + labelOrientation + "\n");
        out.println("labelsY: " + labelsY + "\n");
        out.println("xlabel_font: " + xlabel_font + "\n");
        out.println("labelColor: " + labelColor + "\n");
        out.println("label1: " + label1 + "\n");
        out.println("label2: " + label2 + "\n");
        out.println("label3: " + label3 + "\n");
        out.println("label4: " + label4 + "\n");
        out.println("label5: " + label5 + "\n");
        out.println("label6: " + label6 + "\n");
        out.println("label7: " + label7 + "\n");
        out.println("label8: " + label8 + "\n");
        out.println("label9: " + label9 + "\n");
        out.println("label10: " + label10 + "\n");
        out.println("label11: " + label11 + "\n");
        out.println("label12: " + label12 + "\n");

        out.println("<!-- Y axis labels -->\n");
        out.println("ylabels: " + ylabels + "\n");
        out.println("ylabel_font: " + ylabel_font + "\n");
        out.println("ylabel_pre: " + ylabel_pre + "\n");
        out.println("ylabel_post: " + ylabel_post + "\n");

        out.println("<!-- Chart Titles -->\n");
        out.println("title: " + graphtitle + "\n");
        out.println("xtitle: " + xtitle + "\n");
        out.println("ytitle: " + ytitle + "\n");

        out.println("<!-- PopUp Display -->\n");
        out.println("popupbgcolor: " + popupbgcolor + "\n");
        out.println("popupfont: " + popupfont + "\n");
        out.println("popup_pre: " + popup_pre + "\n");
        out.println("popup_post: " + popup_post + "\n");

        out.println("<!-- Series Data -->\n");
        out.println("series1: " + series1 + "\n");
        out.println("series2: " + series2 + "\n");
        out.println("series3: " + series3 + "\n");

    } // End doGet
//-----------------------------------------------------------------------------
    public void doPost(HttpServletRequest request,HttpServletResponse response)
                throws ServletException, IOException {doGet(request, response);}
//-----------------------------------------------------------------------------
} // End class
